Directly upload a file. Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/file/direct-upload

Must be of Content-Type multipart/form-data

application/json

Body

  • name string Required

    The name of the file.

  • file string(binary) Required

    The file being uploaded.

  • folder_uuid string(uuid) Required

    The UUID of the folder to upload the file to.

  • original_created_at string(date)

    The original created at date of the file.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      UUID of the file

    • created_at string

      The timestamp of when the resource was created.

    • original_created_at string

      Timestamp of when the file was originally created

    • updated_at string

      The timestamp of when the resource was updated.

    • uploaded_at string

      Timestamp of when the file was uploaded

    • status string

      Current status of the uploading progress

    • filename string

      The filename including extension

    • name string

      The name of the file without extension

    • extension string

      The extension of the file

    • type string

      The MIME type of the file

    • size string

      The size of the file in bytes

    • path string

      The path of the file

    • last_modified string

      Timestamp of when the file was last modified before uploading

    • progress string

      The progress of the uploaded file as a percentage between 0 and 100

    • download_url string

      The download URL of the file

    • folder_name string

      The name of the folder the file is located in

    • folder object

      The folder this file is located in

      Hide folder attributes Show folder attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants object
        Hide participants attributes Show participants attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the person the folder is shared with.

        • write

          Whether the participant has write access to this folder.

      • folders_count integer
      • folders object
        Hide folders attributes Show folders attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • files_count integer
      • files object
        Hide files attributes Show files attributes object
        • uuid

          UUID of the file

        • created_at

          The timestamp of when the resource was created.

        • original_created_at

          Timestamp of when the file was originally created

        • updated_at

          The timestamp of when the resource was updated.

        • uploaded_at

          Timestamp of when the file was uploaded

        • status

          Current status of the uploading progress

        • filename

          The filename including extension

        • name

          The name of the file without extension

        • extension

          The extension of the file

        • type

          The MIME type of the file

        • size

          The size of the file in bytes

        • path

          The path of the file

        • last_modified

          Timestamp of when the file was last modified before uploading

        • progress

          The progress of the uploaded file as a percentage between 0 and 100

        • download_url

          The download URL of the file

        • folder_name

          The name of the folder the file is located in

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable

          The documentable the file was uploaded to

        • navigator

          The documentable type and its UUID in order to navigator to the correct resource

      • parents object
        Hide parents attributes Show parents attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • ancestors object
        Hide ancestors attributes Show ancestors attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • children object
        Hide children attributes Show children attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Folder name

        • slug

          Slug of the folder name

        • path

          Folder path

        • clients_read

          Denotes whether clients can access this folder and files

        • clients_write

          Denotes whether clients can upload files to this folder

        • show_client_permissions

          Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

        • is_system_folder

          Denotes if this folder is a system folder

        • is_pseudo_folder

          Denotes if this folder is a pseudo folder

        • is_root_folder

          Denotes if this folder is a root folder of a documentable item

        • documentable_type

          The documentable type such as account/plan/case/etc the file was uploaded to

        • documentable_uuid

          The UUID of the documentable resource

        • documentable

          The documentable the file was uploaded to

        • participants_count

          Number of accounts this folder has been directly shared with

        • folders_count

          Number of subfolders within the folder

        • files_count

          Number of files stored in the folder

        • depth

          How many levels deep there are to this folder hierarchy structure

        • owned

          Is true if the authenticated account in the request has created this folder

      • depth integer
      • owned boolean
    • documentable_type string

      The documentable type such as account/plan/case/etc the file was uploaded to

    • documentable string

      The documentable the file was uploaded to

    • navigator object

      The documentable type and its UUID in order to navigator to the correct resource

      Hide navigator attributes Show navigator attributes object
      • model_type string
      • model_uuid string
    • firm object

      The firm which the file belongs to

      Hide firm attributes Show firm attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • address_1 string
      • address_2 string
      • town_city string
      • county string
      • postcode string
      • country string
      • regulatory_text string
      • logo_icon string
      • brand_colours object
        Hide brand_colours attributes Show brand_colours attributes object
        • sidebar_background string
        • sidebar_accent string
        • sidebar_text string
        • sidebar_hover string
        • sidebar_active string
        • sidebar_title_background string
        • sidebar_title_primary string
        • sidebar_title_secondary string
        • sidebar_title_secondary_hover string
        • email_background string
        • email_logo_background_panel string
        • email_sub_text string
        • email_button_background string
        • email_button_text string
        • portal_sidebar_button_background string
        • portal_sidebar_button_hover string
        • portal_sidebar_button_active string
        • portal_brand_title string
        • portal_brand_sub_title string
        • portal_sidebar_title string
        • portal_sidebar_text string
        • portal_sidebar_text_hover string
        • portal_sidebar_text_active string
        • portal_sidebar_icon string
        • portal_sidebar_icon_hover string
        • portal_sidebar_icon_active string
        • portal_background string
        • portal_sidebar_account_title string
        • portal_sidebar_account_email string
        • portal_sidebar_divider string
        • portal_dashboard_bg_one string
        • portal_dashboard_bg_two string
        • portal_sidebar_collapse_button string
        • portal_sidebar_collapse_button_hover string
        • portal_sidebar_user_select_background string
        • portal_sidebar_user_select_hover string
        • portal_sidebar_user_select_text string
        • portal_sidebar_user_select_text_hover string
        • portal_sidebar_user_select_border string
        • portal_sidebar_user_select_border_hover string
      • is_subscribed boolean
      • addon_subscriptions object
        Hide addon_subscriptions attributes Show addon_subscriptions attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • enabled

          Determines if the addon is enabled

        • trial_ends_at

          If the addon is a paid addon, this is the date the free trial will end for the addon subscription.

        • trial_ends_in_days

          If the addon is a paid addon, this is the number of days left in the free trial for the addon subscription.

        • payment_confirmed_at

          If the addon is a paid addon, this is the date the payment was confirmed for the addon subscription.

      • keep_deleted_files_for integer
      • tax number
      • month_end integer
      • statement_frequency string
      • billing object
        Hide billing attributes Show billing attributes object
        • invoice_address_1 string
        • invoice_address_2 string
        • invoice_town_city string
        • invoice_county string
        • invoice_postcode string
        • invoice_country string
        • invoice_email string
      • task_board_template object
        Hide task_board_template attributes Show task_board_template attributes object
        • uuid

          uuid of the board

        • created_at

          timestamp of when the board was created

        • updated_at

          timestamp of when the board was updated

        • is_template

          returns true if the board is a template

        • name

          the name of the board

        • default_list_uuid

          the default list uuid

        • is_editable

          determines if the user can edit the board (e.g update the board, lists and move tasks around)

        • priorities

          returns the array of priorities that can be set within a task

      • ip_whitelist array[string]
      • welcome_paragraph_html string
      • email_welcome_paragraph_html string
      • show_fact_find_illustrations boolean
      • cc_email_addresses array[string]
      • bcc_email_addresses array[string]
      • reply_to_email_address string
      • mobile_app_support_number string
      • mobile_app_support_email string
    • account object

      The account that uploaded the file (if specified)

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • tags array[object]

      The tags added to the file (if provided)

      Hide tags attributes Show tags attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • colour string
POST /api/v1/file/direct-upload
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/file/direct-upload' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Plannr Welcome Pack","file":"file-contents","folder_uuid":"4eae2fdd-47b2-439d-82fd-9be9f9588b27","original_created_at":"2026-07-17 15:25:29"}'
Request examples
{
  "name": "Plannr Welcome Pack",
  "file": "file-contents",
  "folder_uuid": "4eae2fdd-47b2-439d-82fd-9be9f9588b27",
  "original_created_at": "2026-07-17 15:25:29"
}
Response examples (201)
{
  "uuid": "df2aa383-dc66-4a57-bec6-bbc8e7e874f4",
  "created_at": "2026-07-17T15:25:29+01:00",
  "original_created_at": "2026-07-17T15:25:29+01:00",
  "updated_at": "2026-07-17T15:25:29+01:00",
  "uploaded_at": "2026-07-17T15:25:29+01:00",
  "status": "uploaded",
  "filename": "Welcome to Plannr.pdf",
  "name": "Welcome to Plannr",
  "extension": "pdf",
  "type": "type",
  "size": "21691783",
  "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
  "last_modified": "2026-07-17T15:25:29+01:00",
  "progress": "100",
  "download_url": "https://api.plannrcrm.com/file/5ea18862-6884-468f-b26d-c8994d2bd027/download",
  "folder_name": "folder 2",
  "folder": {
    "uuid": "0accf078-5309-434d-98f4-bf23c8fd7344",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "name": "Important Documents",
    "slug": "important-documents",
    "path": "Codepotato/Important Documents",
    "clients_read": true,
    "clients_write": true,
    "show_client_permissions": true,
    "is_system_folder": true,
    "is_pseudo_folder": true,
    "is_root_folder": true,
    "documentable_type": "account",
    "documentable_uuid": "account",
    "documentable": "Object",
    "participants_count": 3,
    "participants": {
      "uuid": "a2208e23-bea0-4304-9a3d-3ce5c0482624",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Gareth Thompson",
      "write": true
    },
    "folders_count": 5,
    "folders": {
      "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "folders_count": 5,
      "files_count": 8,
      "depth": 5,
      "owned": false
    },
    "files_count": 8,
    "files": {
      "uuid": "c4fdfaa9-f8da-41ef-b539-ca282ca6f4f4",
      "created_at": "2026-07-17T15:25:36+01:00",
      "original_created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "uploaded_at": "2026-07-17T15:25:36+01:00",
      "status": "uploaded",
      "filename": "Welcome to Plannr.pdf",
      "name": "Welcome to Plannr",
      "extension": "pdf",
      "type": "type",
      "size": "21691783",
      "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
      "last_modified": "2026-07-17T15:25:36+01:00",
      "progress": "100",
      "download_url": "https://api.plannrcrm.com/file/27355e9b-34ac-4646-80f3-8a5a64900d68/download",
      "folder_name": "folder 2",
      "documentable_type": "account",
      "documentable": "Object",
      "navigator": {
        "model_type": "account",
        "model_uuid": null
      }
    },
    "parents": {
      "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "folders_count": 5,
      "files_count": 8,
      "depth": 5,
      "owned": false
    },
    "ancestors": {
      "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "folders_count": 5,
      "files_count": 8,
      "depth": 5,
      "owned": false
    },
    "children": {
      "uuid": "0cf39c02-0981-4c79-a565-ba4dc71424c2",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "folders_count": 5,
      "files_count": 8,
      "depth": 5,
      "owned": false
    },
    "depth": 5,
    "owned": false
  },
  "documentable_type": "account",
  "documentable": "Object",
  "navigator": {
    "model_type": "account",
    "model_uuid": "a55c89c9-9b20-4444-9573-798055a4ecbd"
  },
  "firm": {
    "uuid": "1bf9be9f-ff0d-418c-a120-5067a24b0a81",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "name": "Codepotato",
    "slug": "codepotato",
    "address_1": "Suite E, 5 The Briars",
    "address_2": "Waterberry Drive",
    "town_city": "Waterlooville",
    "county": "Hampshire",
    "postcode": "PO7 7YH",
    "country": "United Kingdom",
    "regulatory_text": "Regulatory text",
    "logo": "https://api.plannrcrm.com/images/plannr.jpg",
    "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
    "brand_colours": {
      "sidebar_background": "#0E0E56",
      "sidebar_accent": "#36367E",
      "sidebar_text": "#FFFFFF",
      "sidebar_hover": "#0A0A42",
      "sidebar_active": "#53DBB8",
      "sidebar_title_background": "#36367E",
      "sidebar_title_primary": "#FFC634",
      "sidebar_title_secondary": "#FFFFFF",
      "sidebar_title_secondary_hover": "#FFFFFF",
      "email_background": "#0E0E56",
      "email_logo_background_panel": "#36367E",
      "email_sub_text": "#FFFFFF",
      "email_button_background": "#36367E",
      "email_button_text": "#FFFFFF",
      "portal_sidebar_button_background": "#F6F6F6",
      "portal_sidebar_button_hover": "#FFFFFF",
      "portal_sidebar_button_active": "#FFFFFF",
      "portal_brand_title": "#323B4B",
      "portal_brand_sub_title": "#828994",
      "portal_sidebar_title": "#11151D",
      "portal_sidebar_text": "#323B4B",
      "portal_sidebar_text_hover": "#323B4B",
      "portal_sidebar_text_active": "#323B4B",
      "portal_sidebar_icon": "#828994",
      "portal_sidebar_icon_hover": "#828994",
      "portal_sidebar_icon_active": "#828994",
      "portal_background": "#F6F6F6",
      "portal_sidebar_account_title": "#11151D",
      "portal_sidebar_account_email": "#828994",
      "portal_sidebar_divider": "#E3E5E9",
      "portal_dashboard_bg_one": "#EF4583",
      "portal_dashboard_bg_two": "#FFC634",
      "portal_sidebar_collapse_button": "#828994",
      "portal_sidebar_collapse_button_hover": "#B3B9C4",
      "portal_sidebar_user_select_background": "#F6F6F6",
      "portal_sidebar_user_select_hover": "#F6F6F6",
      "portal_sidebar_user_select_text": "#323B4B",
      "portal_sidebar_user_select_text_hover": "#323B4B",
      "portal_sidebar_user_select_border": "#EEEEEE",
      "portal_sidebar_user_select_border_hover": "#828994"
    },
    "is_subscribed": true,
    "addon_subscriptions": {
      "uuid": "c938bc94-e9b6-4d8d-87ed-b0bd8b4571b7",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "enabled": "true",
      "trial_ends_at": "2026-07-31",
      "trial_ends_in_days": 14,
      "payment_confirmed_at": "2026-08-04"
    },
    "keep_deleted_files_for": 30,
    "tax": 17.5,
    "month_end": 25,
    "statement_frequency": "monthly",
    "billing": {
      "invoice_address_1": "Suite E, 5 The Briars",
      "invoice_address_2": "Waterberry Drive",
      "invoice_town_city": "Waterlooville",
      "invoice_county": "Hampshire",
      "invoice_postcode": "PO7 7YH",
      "invoice_country": "United Kingdom",
      "invoice_email": "gareth@codepotato.co.uk"
    },
    "task_board_template": {
      "uuid": null,
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "is_template": false,
      "name": "Task Board",
      "default_list_uuid": null,
      "is_editable": true,
      "priorities": [
        {
          "name": "High",
          "value": "high"
        },
        {
          "name": "Low",
          "value": "low"
        }
      ]
    },
    "ip_whitelist": [
      "192.168.0.1",
      "127.0.0.1"
    ],
    "welcome_paragraph_html": "<h1>Welcome.</h1>",
    "email_welcome_paragraph_html": "Welcome to Plannr!",
    "show_fact_find_illustrations": true,
    "cc_email_addresses": [
      "jack@example.com",
      "jill@example.com"
    ],
    "bcc_email_addresses": [
      "jack@example.com",
      "jill@example.com"
    ],
    "reply_to_email_address": "jack@example.com",
    "mobile_app_support_number": "01234 567890",
    "mobile_app_support_email": "support@example.com"
  },
  "account": {
    "uuid": "9f6b6db6-366d-4330-9e6d-828b3674eafe",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": {
      "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  },
  "tags": [
    {
      "uuid": "7577f126-dd15-44bf-ab03-6e3d2c1e860f",
      "created_at": "2026-07-17T15:25:29+01:00",
      "updated_at": "2026-07-17T15:25:29+01:00",
      "name": "Mortgage",
      "slug": "mortgage",
      "colour": "#ef4582"
    }
  ]
}